Bug 490895 - Bonnie++ version is precambrian.
Bonnie++ version is precambrian.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bonnie++ (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: rob
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-18 09:59 EDT by David Fetter
Modified: 2009-12-09 13:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 13:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Fetter 2009-03-18 09:59:55 EDT
Description of problem:

Bonnie++ version is precambrian

Version-Release number of selected component (if applicable):

1.03c

How reproducible:

Always

Steps to Reproduce:
1.bonnie++ --version

2.
3.
  
Actual results:

bonnie++: invalid option -- '-'
usage: bonnie++ [-d scratch-dir] [-s size(Mb)[:chunk-size(b)]]
                [-n number-to-stat[:max-size[:min-size][:num-directories]]]
                [-m machine-name]
                [-r ram-size-in-Mb]
                [-x number-of-tests] [-u uid-to-use:gid-to-use] [-g gid-to-use]
                [-q] [-f] [-b] [-p processes | -y]

Version: 1.03c

Expected results:

Similar to the above, but the last line should read:

Version: 1.95

Additional info:
Comment 1 Steven Pritchard 2009-05-13 16:28:46 EDT
1.03e would likely be a much less painful upgrade.  It adds direct IO support, which should make tests with smaller blocks more accurate.

Warren: I have some testing to do, so I'll build an upgraded package locally.  If it works well for me, would you mind if I pushed that as an update?
Comment 2 Warren Togami 2009-05-13 16:42:02 EDT
Want to take over the package ownership?
Comment 3 David Fetter 2009-05-13 16:45:29 EDT
1.95 is the one that uses parallel access.  1.03e is still precambrian.
Comment 4 Steven Pritchard 2009-05-14 20:48:56 EDT
(In reply to comment #2)
> Want to take over the package ownership?  

"Want" is a strong word, but I can if you want me to.  :-)
Comment 5 Steven Pritchard 2009-05-14 20:51:38 EDT
(In reply to comment #3)
> 1.95 is the one that uses parallel access.  1.03e is still precambrian.  

The link to the 1.9x versions is labelled "New experimental releases, not for serious use".  If Russell Coker says it is OK for us to package them for a stable distribution, I'd go along with it, but the "not for serious use" thing concerns me.
Comment 6 Bug Zapper 2009-06-09 08:20:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 David Fetter 2009-07-04 00:38:40 EDT
The "not for serious use" is gone, and has been replaced with a deprecation warning for the 1.0 series.  Time to start packaging 1.96?
Comment 8 Warren Togami 2009-10-20 18:41:10 EDT
I have given up ownership of this package.  If anyone wants to update it just go ahead.
Comment 9 David Fetter 2009-10-20 21:41:43 EDT
I've built the new .spec and SRPM files.  You can find them at

http://fetter.org/~shackle/bonnie++.spec 
http://fetter.org/~shackle/bonnie++-1.96-1.fc11.src.rpm

The SRPM passes rpmlint without errors or warnings.

Cheers,
David.
Comment 10 David Fetter 2009-12-08 17:45:14 EST
(In reply to comment #8)
> I have given up ownership of this package.  If anyone wants to update it just
> go ahead.  

I've rebuilt and signed the packages for Fedora 12.  They're at

http://fetter.org/~shackle/bonnie++.spec
http://fetter.org/~shackle/bonnie++-1.96-1.fc12.src.rpm
http://fetter.org/~shackle/bonnie++-1.96-1.fc12.i686.rpm
http://fetter.org/~shackle/bonnie++-debuginfo-1.96-1.fc12.i686.rpm

When can we roll this out?

Cheers,
David.
Comment 11 rob 2009-12-09 10:30:23 EST
I'(In reply to comment #10)
> 
> I've rebuilt and signed the packages for Fedora 12.  They're at
> 
> http://fetter.org/~shackle/bonnie++.spec

I merged your spec file with the existing, but stuck with the Makefile patch approach rather than use %makeinstall.  See http://fedoraproject.org/wiki/Packaging/Guidelines#Why_the_.25makeinstall_macro_should_not_be_used .

Will commit to devel today.
Comment 12 rob 2009-12-09 13:15:13 EST
built bonnie++-1.96-1.fc13:
http://koji.fedoraproject.org/koji/buildinfo?buildID=146487

Note You need to log in before you can comment on or make changes to this bug.